Announcement Announcement Module
Collapse
No announcement yet.
2.0M3: Unable to load graphics library [GDI+ is required] Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • 2.0M3: Unable to load graphics library [GDI+ is required]

    Hello everyone,

    When trying to graphically display webflows with Spring IDE 2.0M3 under Windows 2000, I do not get any graph in the editor view and the display is not refreshed properly.

    When looking at the Eclipse Log, I see a lot of those exceptions:

    org.eclipse.swt.SWTException: Unable to load graphics library [GDI+ is required] (java.lang.NoClassDefFoundError)
    at org.eclipse.swt.SWT.error(SWT.java:3374)
    at org.eclipse.swt.graphics.Device.checkGDIP(Device.j ava:176)
    at org.eclipse.swt.graphics.GC.initGdip(GC.java:3261)
    at org.eclipse.swt.graphics.GC.setAntialias(GC.java:3 499)
    at org.eclipse.draw2d.SWTGraphics.reconcileHints(SWTG raphics.java:795)
    at org.eclipse.draw2d.SWTGraphics.checkGC(SWTGraphics .java:282)
    at org.eclipse.draw2d.SWTGraphics.checkFill(SWTGraphi cs.java:268)
    at org.eclipse.draw2d.SWTGraphics.fillRectangle(SWTGr aphics.java:555)
    at org.springframework.ide.eclipse.webflow.ui.graph.f igures.CompoundStateFigure.paintFigure(CompoundSta teFigure.java:58)

    Anything I can install in order to get the functionality?

    Regards,

    Andreas

  • #2
    Problem solved: I downloaded GDI+ from

    http://support.microsoft.com/kb/915052/de (Windows Genuine Validation required)

    unpacked it, and copied gdiplus.dll to the system32 folder of my Windows 2000 installation.

    Comment

    Working...
    X